> ## Documentation Index
> Fetch the complete documentation index at: https://docs.embedreach.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Channel Integrations

> List all channel integrations for a business



## OpenAPI

````yaml GET /partner/channel/integrations
openapi: 3.0.0
info:
  title: Reach API
  version: 1.0.0
  description: API documentation for Reach platform
servers:
  - url: https://api.embedreach.com
    description: Production server
security: []
paths:
  /partner/channel/integrations:
    get:
      tags:
        - Channel Integrations
      summary: List Channel Integrations
      description: List all channel integrations for a business
      parameters:
        - schema:
            type: string
            description: The cursor to start from
          required: false
          description: The cursor to start from
          name: cursor
          in: query
        - schema:
            type: number
            nullable: true
            description: The limit of items to return, default is 100
          required: false
          description: The limit of items to return, default is 100
          name: limit
          in: query
      responses:
        '200':
          description: Status 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      results:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              description: The id of the channel integration
                            channel_provider:
                              type: string
                              enum:
                                - reach-managed
                                - reach-managed-ses
                                - reach-managed-sms
                                - twilio
                            channel_integration_type:
                              type: string
                              enum:
                                - email
                                - sms
                            name:
                              type: string
                              nullable: true
                              description: The name of the channel integration
                            created_at:
                              type: string
                              nullable: true
                              description: The creation timestamp
                            channel_integration_metadata:
                              type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - reach-managed
                                    - reach-managed-ses
                                    - reach-managed-sms
                                    - twilio
                                customDomainEnabled:
                                  type: boolean
                                awsCustomDomainInfo:
                                  nullable: true
                              required:
                                - type
                              description: The metadata for the channel integration
                          required:
                            - id
                            - channel_provider
                            - channel_integration_type
                            - created_at
                            - channel_integration_metadata
                      pagination:
                        type: object
                        properties:
                          hasNextPage:
                            type: boolean
                          cursor:
                            type: string
                            nullable: true
                          total:
                            type: number
                        required:
                          - hasNextPage
                    required:
                      - results
                      - pagination
                required:
                  - success
        '400':
          description: Bad Request - Validation or request error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
                  message:
                    type: string
                    description: Error message describing what went wrong
                  errors:
                    type: array
                    items:
                      type: string
                    description: Optional array of specific validation errors
                required:
                  - message

````